=== modified file 'lib/lp/soyuz/interfaces/packageset.py'
--- lib/lp/soyuz/interfaces/packageset.py	2012-09-11 12:43:45 +0000
+++ lib/lp/soyuz/interfaces/packageset.py	2012-09-30 16:53:08 +0000
@@ -21,6 +21,7 @@
     error_status,
     export_as_webservice_collection,
     export_as_webservice_entry,
+    export_destructor_operation,
     export_factory_operation,
     export_operation_as,
     export_read_operation,
@@ -348,7 +349,7 @@
         :param names: an iterable with string package set names
         """
 
-    @export_write_operation()
+    @export_destructor_operation()
     @export_operation_as('delete')
     @operation_for_version('devel')
     def destroySelf():

=== modified file 'lib/lp/soyuz/stories/webservice/xx-packageset.txt'
--- lib/lp/soyuz/stories/webservice/xx-packageset.txt	2012-09-28 14:48:20 +0000
+++ lib/lp/soyuz/stories/webservice/xx-packageset.txt	2012-09-30 16:53:08 +0000
@@ -108,8 +108,8 @@
 
 And then delete it.
 
-    >>> response = webservice.named_post(
-    ...     '/package-sets/hoary/renamed', 'delete', {}, api_version='devel')
+    >>> response = webservice.delete(
+    ...     '/package-sets/hoary/renamed', {}, api_version='devel')
     >>> print response
     HTTP/1.1 200 Ok
     ...

